CPresageCallback Class Reference
Inheritance diagram for CPresageCallback:
Collaboration diagram for CPresageCallback:

## Public Member Functions

| CPresageCallback (_presage_callback_get_past_stream past, void *past_arg, _presage_callback_get_future_stream future, void *future_arg)
virtual | ~CPresageCallback ()
std::string | get_past_stream () const
std::string | get_future_stream () const
Public Member Functions inherited from PresageCallback
virtual | ~PresageCallback ()

## Private Attributes

_presage_callback_get_past_stream | m_get_past_stream_cb
void * | m_get_past_stream_cb_arg
_presage_callback_get_future_stream | m_get_future_stream_cb
void * | m_get_future_stream_cb_arg

## Additional Inherited Members

Protected Member Functions inherited from PresageCallback
| PresageCallback ()

## Detailed Description

Definition at line 243 of file presage.cpp.

## Constructor & Destructor Documentation

## CPresageCallback()

CPresageCallback::CPresageCallback | ( | _presage_callback_get_past_stream | past,
|  | void * | past_arg,
|  | _presage_callback_get_future_stream | future,
|  | void * | future_arg
| ) |  |

inline

Definition at line 246 of file presage.cpp.

## ~CPresageCallback()

virtual CPresageCallback::~CPresageCallback | ( |  | ) |

inline virtual

Definition at line 256 of file presage.cpp.

## Member Function Documentation

## get_future_stream()

std::string CPresageCallback::get_future_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 262 of file presage.cpp.

References m_get_future_stream_cb, and m_get_future_stream_cb_arg.

## get_past_stream()

std::string CPresageCallback::get_past_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 258 of file presage.cpp.

References m_get_past_stream_cb, and m_get_past_stream_cb_arg.

## Member Data Documentation

## m_get_future_stream_cb

_presage_callback_get_future_stream CPresageCallback::m_get_future_stream_cb

private

Definition at line 269 of file presage.cpp.

Referenced by get_future_stream().

## m_get_future_stream_cb_arg

void* CPresageCallback::m_get_future_stream_cb_arg

private

Definition at line 270 of file presage.cpp.

Referenced by get_future_stream().

## m_get_past_stream_cb

_presage_callback_get_past_stream CPresageCallback::m_get_past_stream_cb

private

Definition at line 267 of file presage.cpp.

Referenced by get_past_stream().

## m_get_past_stream_cb_arg

void* CPresageCallback::m_get_past_stream_cb_arg

private

Definition at line 268 of file presage.cpp.

Referenced by get_past_stream().

The documentation for this class was generated from the following file:

- /build/presage-F72hLE/presage-0.9.1/src/lib/presage.cpp